| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyEvent Struct Reference

`#include <fl_key_event.h>`

## Public Attributes
guint32 | time
bool | is_press
guint16 | keycode
guint | keyval
GdkModifierType | state
guint8 | group
GdkEvent * | origin

## Detailed Description

FlKeyEvent: A struct that stores information from GdkEvent.

This is a class only used within the GTK embedding, created by FlView and consumed by FlKeyboardManager. It is not sent to the embedder.

This object contains information from GdkEvent as well as an origin event object, so that Flutter can create an event object in unit tests even after migrating to GDK 4.0 which stops supporting creating GdkEvent.

Definition at line 22 of file fl_key_event.h.

## Member Data Documentation

## ◆ group

guint8 _FlKeyEvent::group

Definition at line 34 of file fl_key_event.h.

## ◆ is_press

bool _FlKeyEvent::is_press

Definition at line 26 of file fl_key_event.h.

Referenced by fl_key_event_new_by_mock(), and fl_text_input_plugin_filter_keypress_default().

## ◆ keycode

guint16 _FlKeyEvent::keycode

Definition at line 28 of file fl_key_event.h.

Referenced by event_to_physical_key(), and guarantee_layout().

## ◆ keyval

guint _FlKeyEvent::keyval

Definition at line 30 of file fl_key_event.h.

Referenced by event_to_character(), fl_key_channel_responder_handle_event(), and fl_text_input_plugin_filter_keypress_default().

## ◆ origin

GdkEvent* _FlKeyEvent::origin

Definition at line 36 of file fl_key_event.h.

Referenced by fl_key_event_dispose(), fl_text_input_plugin_filter_keypress_default(), and fl_view_keyboard_delegate_iface_init().

## ◆ state

GdkModifierType _FlKeyEvent::state

Definition at line 32 of file fl_key_event.h.

Referenced by fl_text_input_plugin_filter_keypress_default().

## ◆ time

guint32 _FlKeyEvent::time

Definition at line 24 of file fl_key_event.h.

Referenced by fl_keyboard_manager_get_event_hash().

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_key_event.h